<?php

    include ('functions.php');

     //Checks to see if you're already logged in and if so redirect user to the dashboard.
   checkLogin();

   //allows the user to add a new command to the json file
   addCommand();

   //allows the user to delete an existing command
   deleteCommand();

   //allows the user to edit an existing command
   editCommand();

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Commands</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0,  shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!--required stylesheet-->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway:400,800">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="/css/bootstrap.css">
    <link rel="stylesheet" href="/css/styles.css">
    <!-- Custom styles for this template -->
    <link href="css/commands.css" rel="stylesheet">
</head>

<body>
    <!--Navigation bar-->
    <nav id="nav" class="navbar navbar-expand-lg navbar-dark bg-primary nav-fixed">
        <!--Company Brand-->
        <a class="navbar-brand big-john" href="commands.php">Jinn | Commands</a>
        <!--Toggle collapsable button-->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!--Navigational icons-->
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" href="/index.html">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="help.html">Help</a>
                </li>
                <li class="nav-item">
                    <a href="logout.php" class="nav-link">Sign Out</a>
                </li>
            </ul>
        </div>
    </nav>

    <!--Content container-->
    <div class="container" style="min-height:100vh; padding-top:100px;">

        <div id="createWrap" class="">
            <h1>Command Portal</h1>
            <p class="mb-5">This area is designed to allow you to create/edit your own custom commands. Commands are not
                case sensitive.</p>

            <!--Form wrapper that houses the input fields that will add the command to JSON file.-->
            <div class="form-wrap">
                <form class="form-signin" method="post" autocomplete="off">
                    <?php
                    if(isset($error)){
                        echo $error;
                    }
                    ?>
                    <div class="form-label-group">
                        <input type="text" id="inputCmd" class="form-control" placeholder="Command" name="command"
                            autocomplete="false" autofocus>
                        <label for="inputCmd">Command(s)</label>
                        <p class="helpText text-muted text-center hidden">Seperate multiple commands with a comma. <br>e.g.'go
                            to, navigate to'</p>
                    </div>
                    <div class="form-label-group">
                        <input type="text" id="inputKey" class="form-control" placeholder="Keyword" name="keyword"
                            autocomplete="false" autofocus>
                        <label for="inputKey">Keyword(s)</label>
                        <p class="helpText text-muted text-center hidden">Seperate multiple keywords with a comma. <br>e.g.'information,
                            info'</p>
                    </div>
                    <div class="form-label-group">
                        <input type="text" id="inputAction" class="form-control" placeholder="action" name="action"
                            autocomplete="false" autofocus>
                        <label for="inputAction">Required Action (JS)</label>
                        <p class="helpText text-muted text-center hidden">Custom JavaScript/jQuery
                            <br>e.g."window.location.href = 'info.html';"
                            <br> Variables declared here can be used in the response section below.
                            <br> <strong>This section MUST be valid or the command will not work</strong></p>

                    </div>
                    <div class="form-label-group">
                        <input type="text" id="inputResponse" class="form-control" placeholder="Response" name="response"
                            autocomplete="false" autofocus>
                        <label for="inputResponse">Response</label>
                        <p id="help" class="helpText text-muted text-center hidden">Custom response that will be
                            said to the user. <br>e.g.'Navigating to the Info page?' <br> you can
                            also use a variable like so: <br> e.g. 'Would you like me to say a ' + variable </p>
                    </div>
                    <div class="form-label-group">
                        <input type="text" id="inputDesc" class="form-control" placeholder="Command Description" name="description"
                            autocomplete="false" autofocus>
                        <label for="inputDesc">Description</label>
                        <p id="help" class="helpText text-muted text-center hidden">Tells the user what this command does!
                            <br> e.g. "This command navigates the user to the info page"</p>
                    </div>
                    <div class="form-label-group">
                        <input type="text" id="inputExamp" class="form-control" placeholder="Command Example" name="example"
                            autocomplete="false" autofocus>
                        <label for="inputExamp">Example</label>
                        <p id="help" class="helpText text-muted text-center hidden">Tells the user how to use this command
                            <br> e.g. "Go to the information page"</p>
                    </div>
                    <div class="checkbox mb-3">
                        <label>
                            <input type="checkbox" value="help" onclick="toggleHelp();"> Toggle Help
                        </label>
                        <p id="help" class="helpText text-muted text-center hidden">For more on setting up custom commands, read the <a href="#">documentation</a>.</p>
                    </div>
                    <button class="btn btn-lg btn-primary btn-block mb-4" type="submit" name="append-cmd" value="Add Command">Add Command</button>
                    <div class="form-label-group">
                        <p class="text-center"> <a href="#" onclick="clearVal();">Clear Command</a></p>
                    </div>
                    <?php
                        if(isset($message)){
                            echo $message;
                        }
                    ?>
                </form>
            </div>
        </div>

        
        <h3>Manage Commands</h3>
        <p class="mb-3">Existing commands</p>
        <div id="json-commands">

        </div>
    </div>

    <!--required javascript-->
    <script src="js/jquery.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jinn-speech.js"></script>
    <script>
        getCommands();
    </script>

</body>

</html>