<?php

    /**
     * Send debug code to the Javascript console
     * https://paulund.co.uk/output-php-data-in-browser-console
     */ 
    function startDebug( $data ) {

        if( is_array( $data ) || is_object( $data ) )
        {

            echo( "<script>console.log('PHP: " . json_encode( $data ) . "');</script>" );

        } else {

            echo( "<script>console.log('PHP: " . $data . "');</script>" );

        }

    }

    //Initialise Login Procedure.
    function startLogin () 
    {
            //starting session
            session_start();

            //variable to store error message
            $error=''; 
            //If the post is submitted do the following
            if ( isset( $_POST[ 'submit' ] ) ) 
            {
                // if either input it empty do the following
                if ( empty( $_POST[ 'username' ] ) || empty( $_POST[ 'password' ] ) ) 
                {
                    //set error variable
                    $_SESSION['Error'] = "Username or Password is invalid";

                //if the name and password is set then
                } else {   
						  
                    // Define $username and $password 
                    $username = $_POST[ 'username' ]; 
                    $password = $_POST[ 'password' ];

                    // To protect MySQL injection for Security purpose 
                    $username = stripslashes( $username );
                    $password = stripslashes( $password );

                    include "config.php";

                    //added security for PHP
                    $username = mysqli_escape_string( $connection, $username );
                    $password = mysqli_escape_string( $connection, $password );

                    //Password Encryption
                    $password = md5 ( $password );

                    //SQL query to fetch information of registerd users and finds user match.
                    $query = mysqli_query( $connection, "SELECT * FROM users WHERE password='$password' AND username='$username'" );

                    //fetches data
                    $rows = mysqli_num_rows( $query );

                    if ( $rows == 1 ) {

                        //Initializing Session
                        $_SESSION[ 'username' ] = $username;

                        //Redirecting to other page
                        header( "location: commands.php" );

                    } else {

                        //set error message
                      
                        $_SESSION['Error'] = "Username or Password is invalid"; 

                    }
				
				    //Closing Connection
				    mysqli_close( $connection );  
										 
			     }

            }
        }

        
    //initialise log in checks
    function checkLogin( $isLogin = false ) 
    {	
        
        //Starting Session		                
		session_start();
		
		//Storing session
		$username = $_SESSION[ 'username' ];        
        
		include "config.php";
		
		//SQLI query to fetch complete information of user   
		$query = mysqli_query( $connection, "SELECT * FROM users WHERE username='$username'" );

		//perform query
		$row = mysqli_fetch_assoc( $query );
        
		//Store username into a variable
        $userid = $row['user_id'];
		$login_session = $row[ 'username' ];
        $firstname_session = $row['firstname'];
        $lastname_session = $row['lastname'];
        $email_session = $row['email'];
        $creation_date = $row['creationdate'];
        
        //Store Session variables.
        $_SESSION[ 'username' ] = $login_session;
        
       // the following is then used to direct the user to the correct location
        if( $isLogin ){
            //if the login information is set then:
            if( isset( $login_session ) )
            {
                //Closing Connection
                mysqli_close( $connection );

                //Redirecting to CMS dashboard 
                header( 'Location: commands.php' );
            }
            
        } else {
            //if the login information is not set then:
            if( !isset( $login_session ) )
            {
                //Closing Connection
                mysqli_close( $connection );

                //Redirecting to log in page
                header( 'Location: index.php' ); 
            
            }
		
	   }
        
    }

    //Function to add new commands to json file
    function addCommand() {
     
        if(isset($_POST['append-cmd']))
        {

            startDebug('posting data');

            if(empty($_POST['command']))
            {

                startDebug('command not entered');
     
            } else {
                 if(file_exists('commands.json'))
                 {
                    $str = file_get_contents('commands.json');
                    $currentJson = json_decode($str, true);

                    $newCmd = $_POST['command'];
                    $newCmd = strtolower($newCmd);
                    $newCmd = preg_split ("/\, /", $newCmd);  
                    

                    $newKey = $_POST['keyword'];
                    $newKey = strtolower($newKey);
                    $newKey = preg_split ("/\, /", $newKey);

                    $newAction = $_POST['action'];
                    $newAction = strtolower($newAction);

                    $newAction = str_replace("\"", "\'", $newAction);
                    $newAction = str_replace("\\", "", $newAction);

                    $newResp = $_POST['response'];
                    $newResp = strtolower($newResp);

                    $needle = "'";
                    $needles = '"';
                     
                    //This checks to see if any " or ' have been used and if not, will wrap the entire sentance in the ' to make the response function
                    if( strpos( $newResp, $needle ) === false){
                        if (strpos( $newResp, $needles ) === false){
                            $newResp = "'$newResp'";
                        }
                    }

                    //add in the speach functionality for Speech Synthesis.
                    $newSpeak = "speak(". $newResp . ");";
            
                    $newDesc = $_POST['description'];
                    $newExample = $_POST['example'];

                    $extra = array (
                        'cmd'=> $newCmd,
                        'key'=>  $newKey,
                        'action'=> $newAction,
                        'resp'=> $newSpeak,
                        'desc'=> $newDesc,
                        'example'=> $newExample
                    );

                    startDebug($extra);

                    //push the new content to the existing array
                    array_push($currentJson['fixedCmd'], $extra );

                    startDebug($currentJson);

                    //save to the JSON file.
                    $final_data = json_encode($currentJson);
         
                     if(file_put_contents('commands.json', $final_data))
                     {
                         startDebug('Command update successful');
                     }
     
                 } else {
                     
                     startDebug('JSON file does not exist');
                 }
            }
     
        }
    }

    //Function used to delete an array from the JSON file
    function deleteCommand(){

        $id = $_POST['delete'];

        if(isset($_POST['delete']))
        {
            //get json
            $file = file_get_contents('commands.json');
            $json = json_decode($file, true);

            //remove object from an array
            array_splice($json['fixedCmd'], $id, 1);
            
           //save to the JSON file.
           $final_data = json_encode($json);

            if(file_put_contents('commands.json', $final_data))
            {
                startDebug('Command update successful');

            }
        }
    }

    //Function used to choose which command is to be edited.
    function editCommand(){

        if(isset($_POST['edit']))
        {
            $id = $_POST['edit'];
            $_SESSION[ 'id' ] = $id;

            header( 'Location: edit.php' );

        }
    }

    //Fill the input values with the data that has been chosen for editing.
    function fillValues(){
        
        
        $id = $_SESSION[ 'id' ];

        //get json
        $file = file_get_contents('commands.json');
        $json = json_decode($file, true);

       //load current commands into a string
        $cmds = $json['fixedCmd'][$id]["cmd"];

        //for each of the commands saved in the cmd array add to a string
        foreach ($cmds as $cmd){
            $cmdstring =  $cmdstring . $cmd  . ", ";
        }

        //remove final ", "
        $finalcmdstr=rtrim($cmdstring,", ");

        //load current keys into a string
        $keys = $json['fixedCmd'][$id]["key"];

        //for each of they keys saved in the array append it to the string
        foreach ($keys as $key){
            $keystring = $keystring . $key . ", ";
        }

        $finalkeystr=rtrim($keystring,", ");

        //Remove function around the speak command which will leave the string: 'like so ' + variables
        $initResp = $json['fixedCmd'][$id]["resp"];
        $newResp = str_replace("speak(", "", $initResp);
        $finalResp = str_replace(");", "", $newResp);

        $initAction = $json['fixedCmd'][$id]["action"];
        $newAction = str_replace("\"", "\'", $initAction);
        $finalAct = str_replace("\\", "", $newAction);

        $_SESSION[ 'cmd' ] = $finalcmdstr;
        $_SESSION[ 'key' ] =  $finalkeystr;
        $_SESSION[ 'action' ] =  $finalAct;
        $_SESSION[ 'response' ] =  $finalResp;
        $_SESSION[ 'description' ] =  $json['fixedCmd'][$id]["desc"];
        $_SESSION[ 'example' ] =  $json['fixedCmd'][$id]["example"];

    }


    //Function used to post the updated command and save to JSON
    function postCommand(){
        //Update the JSON file
        if(isset($_POST['edit-cmd']))
        {

            $_SESSION["edit"] = false;

            $id = $_SESSION[ 'id' ];

            $file = file_get_contents('commands.json');
            $thisarray = json_decode($file, true);

            $editCommand = $_POST['edit-command'];
            $editCommand = strtolower($editCommand);
            $editCommand = preg_split ("/\, /", $editCommand);  

            $editKeyword = $_POST['edit-keyword'];
            $editKeyword = strtolower($editKeyword);
            $editKeyword = preg_split ("/\, /", $editKeyword);  


            //Take variables
            $editCmd = $editCommand;
            $editKey = $editKeyword;
            $editAction = $_POST['edit-action'];
            //replace function around the speak command
            $editResp = "speak(" . $_POST['edit-response'] . ");";
            $editDesc = $_POST['edit-description'];
            $editExample = $_POST['edit-example'];

            $newResp = strtolower($edtResp);

            $thisarray['fixedCmd'][$id]["cmd"] = $editCmd;
            $thisarray['fixedCmd'][$id]["key"] = $editKey;
            $thisarray['fixedCmd'][$id]["action"] = $editAction;
            $thisarray['fixedCmd'][$id]["resp"] = $editResp;
            $thisarray['fixedCmd'][$id]["example"] = $editExample;
            $thisarray['fixedCmd'][$id]["desc"] = $editDesc;

            $myArray["fixedCmd"] = array_values($thisarray["fixedCmd"]);
            $new_final_data = json_encode($myArray);

            if(file_put_contents('commands.json', $new_final_data))
            {
                
               startDebug('Command update successful');
               fillValues();

            }

        }

    }
    


?>