<?php
    //includes login script
	include( 'functions.php' );

    //Checks to see if you're already logged in and if so redirect user to the dashboard.
    checkLogin( true );

    //Starts login function written in the function.php page.
    startLogin();
?>


<!DOCTYPE html>
<html lang="en">

<head>
    <title>Jinn - Speech Browsing</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0,  shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!--required stylesheet-->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway:400,800">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="/css/bootstrap.css">
    <link rel="stylesheet" href="/css/styles.css">

    <!-- Custom styles for this template -->
    <link href="css/floating-labels.css" rel="stylesheet">

</head>

<body>
    <form action="" method="post" class="form-signin">
        <div class="text-center mb-4">
            <div class="row">
                <div class="col">
                    <img class="mb-4" src="/assets/logo/android/jinn-logo-green.svg" height="200" alt="logo">
                </div>
                <div class="col">
                    <h1 class="md-text-right sm-text-center title">Jinn</h1>
                    <hr>
                    <h5 class="md-text-right sm-text-center">
                        Browser Based<br>Speech Assistant
                    </h5>
                </div>
            </div>
        </div>
        <div class="form-label-group">
            <input type="text" id="inputUsername name" class="form-control" placeholder="Username" name="username" required autofocus>
            <label for="inputUsername">Username</label>
        </div>
        <div class="form-label-group">
            <input type="password" id="inputPassword password2" class="form-control" placeholder="Password" name="password" required>
            <label for="inputPassword">Password</label>
        </div>
        <p class="error-message text-center" style="color:red; font-weight:bold;"><?php echo $_SESSION['Error'] ?></p>
        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" value="remember-me"> Remember me
            </label>
        </div>
        <input class="btn btn-lg btn-primary btn-block mb-4" type="submit" value="Sign in"  name="submit">
        <div class="form-label-group">
            <p class="text-center"> <a href="/index.html">Go Back</a></p>
        </div>
        <p class="mt-5 mb-3 text-muted text-center">&copy; Jinn 2018-2019</p>

    </form>

    <!--required javascript-->
    <script src="js/jquery.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
</body>

</html>